LibreOffice LibreOffice 6.1 SDK API Reference

Classes | Modules
HierarchyDataSource.idl File Reference
`import "com/sun/star/lang/XMultiServiceFactory.idl";`
`import "com/sun/star/lang/XComponent.idl";`

Go to the source code of this file.

## Classes
service | HierarchyDataSource
| manages one or more complete sets of hierarchy data and serves as a factory for objects that provide access to a subset of the data. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.